
#define MODE_ENTRY -2
#define MODE_EXIT -3
#define DEFAULT -1
#define INTERNAL -4

/*--- Number Of Events ---*/

#define NumOfEvents  1

/*--- Begin Events Declares ---*/

#define Power_Ev   0

/*--- End Events Declares ---*/

/*--- Begin Modes Declares ---*/

#define Module1_Root_M   0
#define Module1_Off_M   1
#define Module1_On_M   2
#define Module1_Concurrent1_M   3
#define Module1_Concurrent2_M   4

/*--- End Modes Declares ---*/


/*--- Begin Mode Functions Declares ---*/

int Module1_Root_MF(int event_id, int arg);
int Module1_Off_MF(int event_id, int arg);
int Module1_On_MF(int event_id, int arg);
int Module1_Concurrent1_MF(int event_id, int arg);
int Module1_Concurrent2_MF(int event_id, int arg);


/*--- End Mode Functions Declares ---*/

void Prepare_Functions_Array();
int Get_Function(int index);

/*--- User declares ---*/
#define IDLE 0
#define INCOMING 1
#define OUTGOING 2
#define ONGOING 3

typedef struct callStruct
{
 int   from;
 int to;
} MyCall;

